if not srb2p return end
freeslot("SPR2_EREV", "S_PLAY_EREV")
states[S_PLAY_EREV] = {SPR_PLAY, SPR2_EREV, 1, nil, 0, 0, S_PLAY_EREV}
-- Due to the exe nature of the mod, this only requires a one-time check.
VFX_freeslotC("earlessreredo")
-- Define our base character's stats!
charStats["earlessreredo"] = {

		-- GENERAL

		name = "Earless",		-- This is only for bots / enemies
		basehp = 75,			-- base HP for level 1 (Cannot be <= 0)
		basesp = 30,			-- base SP for level 1 (Can be 0, but not < 0!)
		persona = "orpheus",		-- Persona to use
		melee_natk = "sonic_atk1",	-- normal melee attack

		atk = 25,	-- attack power of physical attacks
		acc = 76,	-- accuracy of physical attacks
		crit = 7,

		supercolor_start = SKINCOLOR_SUPERGOLD1,	-- if super form is applicable: will use this flash

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, <"spr2">}
		-- spr2 is optional and must be between quotes, this is to avoid compability issues with older animations

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},		-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},		-- standing (low HP)
		anim_stand_bored =	{SPR_PLAY, A, B, A, B, A, B, A, B, 10, "SPR2_WAIT"},	-- standing (rare anim)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_WALK"},		-- guarding
		anim_move =			{SPR_PLAY, A, B, C, D, E, F, G, H, 2, "SPR2_WALK"},		-- moving
		anim_run =			{SPR_PLAY, A, B, C, D, 2, "SPR2_WALK"},	-- guess what
		anim_atk =			{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},	-- attacking
		anim_aoa_end =		{SPR_PLAY, D, C, B, A, 1, "SPR2_ROLL"},	-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_PAIN"},		-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_PAIN"},		-- knocked down from weakness / crit
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_PAIN"},		-- is down
		anim_getup =		{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},		-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_PAIN"},		-- dies
		anim_revive =		{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},		-- gets revived
		anim_evoker =		{SPR_PLAY, A, B, 2, "SPR2_EREV"},	-- holding evoker to head
		anim_evoker_shoot =	{SPR_PLAY, C, 2, "SPR2_EREV"},		-- shooting evoker

		anim_stand_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},		-- standing
		anim_stand_hurt_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},		-- standing
		anim_stand_bored_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},		-- standing
		anim_run_super = 	{SPR_PLAY, A, B, C, D, 2, "SPR2_WALK"},	-- run
		anim_evoker_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},
		anim_evoker_shoot_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},

		anim_special1 = {SPR_PLAY, A, B, C, D, 2, "SPR2_SPIN"}, -- spindash (revving up)
		anim_special2 = {SPR_PLAY, A, B, C, D, 1, "SPR2_SPIN"}, -- spindash (faster, revved up)

		-- VOICES
		-- Follow this template.
		-- All sounds in there will be *automatically* freeslotted.
		-- For custom characters, call VFX_freeslotC("skinname") OUT OF A THINKFRAME (!)
		-- See Player_Defs.LUA

		vfx_summon = {},
		vfx_skill = {},
		vfx_item = {},
		vfx_hurt = {},
		vfx_xhurt = {},
		vfx_die = {},
		vfx_killconfirm = {},
		vfx_heal = {},
		vfx_healself = {},
		vfx_kill = {},
		vfx_1more = {},
		vfx_crit = {},
		vfx_aoaask = {},
		vfx_aoado = {},
		vfx_aoarelent = {},
		vfx_miss = {},
		vfx_dodge = {},
		vfx_win = {},
		vfx_levelup = {},


		icon = "ICO_EARL",	-- icon for net select and other menus
		hudbust = "EAR_H",			-- patch to draw on the stat hud
		hudbustlayer = " ",		-- transparent patch to draw for status conditions
		hudaoa = "H_EARAOA",	-- patch for all out attack hud
		hudcutin = "EARL_A",	-- cut in
		hudspr = "EARL",	-- sprite prefix since hud can't retrieve it. yikes
		aoa_quote = "I'm \nwaaaaaaaaaaaaaiting!",	-- wity quote shown when character asks for an AOA

		tip = "Despite having the same persona \nas Sonic, Earless is a bit weaker, but \nhas more health and a higher \nchance for crits. Don't forget to \nbaton pass to save your SP!",
}		

DNG_Abilities["earlessreredo"] = {

	jfunc = 	function(p)
					local mo = p.mo

					p.drawangle = mo.angle
					local thokspeed = FixedHypot(mo.momx, mo.momy) > 17*mo.scale and FixedHypot(mo.momx, mo.momy) or 17*mo.scale
					P_InstaThrust(mo, p.mo.angle, thokspeed)
					P_SetObjectMomZ(mo, FRACUNIT*12)

					local t = P_SpawnMobjFromMobj(mo, 0, 0, 0, MT_THOK)
					t.color = mo.color
					S_StartSound(mo, sfx_thok)
				end,

	func =		function(p)
					local mo = p.mo

					if mo.p_abl
						if ((mo.eflags & MFE_VERTICALFLIP) and mo.momz < 0)
						or (not (mo.eflags & MFE_VERTICALFLIP) and mo.momz > 0)
							if (leveltime%2)
								local g = P_SpawnGhostMobj(mo)
								g.tics = 4
								g.colorized = true
							end
						else
							mo.state = S_PLAY_FALL
							p.pflags = $ & ~PF_JUMPED
							mo.p_abl = false
						end
					end
				end,
}